#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.evaluation.av.envtype import envtype
from bu4.evaluation.constructs.elinked import ELinked
from bu4.linking.prepare import prepare

__all__ = ('evaluable_from_parsed',)

from bu4.parsing.constructs.parsed import Parsed


def evaluable_from_parsed(env: envtype, parsed: Parsed):
    linked = prepare(parsed.link(set(env)))
    return ELinked(env, linked)
