#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_SKIP
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsestate import ParseState
from bu4.parsing.states.psafter import PSAfter

__all__ = ('XSkip',)


class XSkip(Extension, code=CODE_SKIP):
    def apply(self, state: PSAfter) -> ParseState:
        return state
