#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

__all__ = ('PNull',)

from bu4.linking.constructs.lnull import LNull
from bu4.linking.states.linkingfinished import LinkingFinished
from bu4.linking.states.linkingstate import LinkingState
from bu4.parsing.constructs.parsed import Parsed


class PNull(Parsed):
    def link(self, promise: set[bytes]) -> LinkingState:
        return LinkingFinished(LNull())
