#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_CALL
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsestate import ParseState
from bu4.parsing.states.psafter import PSAfter
from bu4.parsing.states.pscall import pscall

__all__ = ('XCall',)


class XCall(Extension, code=CODE_CALL):
    def apply(self, state: PSAfter) -> ParseState:
        state.state = pscall()
        return state
