#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_NULL
from bu4.parsing.constructs.pnull import PNull
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsestate import ParseState
from bu4.parsing.states.psafter import PSAfter
from bu4.parsing.states.psfinal import PSFinal

__all__ = ('XNull',)


class XNull(Extension, code=CODE_NULL):
    def apply(self, state: PSAfter) -> ParseState:
        state.state = PSFinal(PNull())
        return state
