#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from bu4.parsing.codes import CODE_XCPT
from bu4.parsing.constructs.pexception import PException
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.states.parsestate import ParseState
from bu4.parsing.states.psafter import PSAfter
from bu4.parsing.states.psfinal import PSFinal

__all__ = ('XXcpt',)


class XXcpt(Extension, code=CODE_XCPT):
    def apply(self, state: PSAfter) -> ParseState:
        state.state = PSFinal(PException(self.parser.parse_name()))
        return state
