#  Copyright (c) PARRRATE T&V 2021. All rights reserved.

from typing import Iterable, Type

from bu4.parsing.constructs.parsed import Parsed
from bu4.parsing.extensions.extension import Extension
from bu4.parsing.parser import Parser

__all__ = ('parse',)


def parse(source: bytes, extensions: Iterable[Type[Extension]]) -> Parsed:
    return Parser(
        source,
        extensions
    ).parse()
